cURL
curl --request PATCH \ --url https://api.atlas.co/functions/v1/prices/{price_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "nickname": "<string>", "is_active": true, "metadata": {} } '
{ "id": "<string>", "object": "price", "product": "<string>", "active": true, "currency": "<string>", "unit_amount": 123, "type": "one_time", "billing_scheme": "per_unit", "recurring": { "interval": "<string>", "interval_count": 123, "usage_type": "<string>", "aggregate_usage": "<string>" }, "tiers": [ {} ], "tiers_mode": "<string>", "nickname": "<string>", "metadata": {}, "created": 123 }
Only nickname, is_active, and metadata can be updated.
API key (sk_test_* or sk_live_*)
Show child attributes
Price updated
price
one_time
recurring
per_unit
tiered